## xmake 1.05

=== Makefile ===

SRCS= include.c list.c main.c subs.c var.c wild.c
OBJS= include.o list.o main.o subs.o var.o wild.o
CFLAGS= -g -O2 -Wall -Wstrict-prototypes
LFLAGS=
EXE= xmake
IBDIR= /usr/local/bin
IMDIR= /usr/local/man/man1
CC= cc

all: $(EXE)

$(EXE): $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LFLAGS) -o $(EXE)

clean:
	rm -f $(OBJS) $(EXE)

install: all
	install -c -s -m 755 $(EXE) $(IBDIR)/$(EXE)

## xmake 1.06

=== Makefile ===

SRCS= include.c list.c main.c subs.c var.c wild.c
OBJS= include.o list.o main.o subs.o var.o wild.o
CFLAGS+= -Wall -Wstrict-prototypes '-DXMAKE_VERS="1.06"'
LFLAGS=
EXE= xmake
PREFIX ?= /usr/local
IBDIR= $(PREFIX)/bin
IMDIR= $(PREFIX)/man/man1
BSD_INSTALL_PROGRAM ?= install -c -s -m 755
BSD_INSTALL_MAN ?= install -c -m 644

all: $(EXE)

$(EXE): $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LFLAGS) -o $(EXE)

clean:
	rm -f $(OBJS) $(EXE)

install: all
	$(BSD_INSTALL_PROGRAM) $(EXE) $(IBDIR)/$(EXE)
	$(BSD_INSTALL_MAN) ${.CURDIR}/xmake.1 $(IMDIR)/xmake.1

## xmake 2.8.5+ds

=== debian/changelog ===
xmake (2.8.5+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 04 Dec 2023 19:47:44 -0500

xmake (2.8.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: Refresh convert_local_source_to_external_dependencies.patch and
    remove patches fixed in upstream.

 -- Lance Lin <lq27267@gmail.com>  Mon, 13 Nov 2023 21:45:37 +0700

xmake (2.8.3+ds-2) unstable; urgency=medium

  * d/patches: Add atomic option for tbox in armel.

 -- Lance Lin <lq27267@gmail.com>  Wed, 25 Oct 2023 20:02:17 +0700

xmake (2.8.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Lance Lin <lq27267@gmail.com>  Mon, 23 Oct 2023 20:40:41 +0700

xmake (2.8.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #986736).

 -- Lance Lin <lq27267@gmail.com>  Mon, 28 Aug 2023 20:28:20 +0700

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

DEB_CONFIGURE_EXTRA_FLAGS = --external=y

build-indep:
	# pass

override_dh_auto_configure:
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_fixperms:
	dh_fixperms
	find . -type f -name update-script.sh -exec chmod 755 {} \;

## xmake 2.8.6+ds

=== debian/changelog ===
xmake (2.8.6+ds-3) unstable; urgency=medium

  * d/rules: Still install license.lua files.
  * d/xmake-data.lintian-overrides: False positive for extra-license-file.

 -- Lance Lin <lq27267@gmail.com>  Wed, 17 Jan 2024 20:39:41 +0700

xmake (2.8.6+ds-2) unstable; urgency=medium

  * Add support for loong64

 -- Lance Lin <lq27267@gmail.com>  Thu, 04 Jan 2024 21:33:48 +0700

xmake (2.8.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Remove vsxmake.sln from Files-Excluded, does not exist.
  * d/patches: Refresh convert_local_source_to_external_dependencies.patch.
  * d/rules: Clean up file and remove extra license files in /usr/share/.

 -- Lance Lin <lq27267@gmail.com>  Wed, 27 Dec 2023 20:58:13 +0700

=== debian/control ===
Source: xmake
Section: devel
Priority: optional
Maintainer: Lance Lin <lq27267@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 pkg-config,
 lua-cjson,
 libxxhash-dev,
 liblua5.4-dev,
 libluajit-5.1-dev,
 liblz4-dev,
 libsv-dev,
 libtbox-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: http://xmake.io
Vcs-Git: https://salsa.debian.org/xmake-team/xmake.git
Vcs-Browser: https://salsa.debian.org/xmake-team/xmake

Package: xmake
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 xmake-data (>= ${source:Version}),
Recommends:
 doxygen,
Description: cross-platform build utility based on Lua
 xmake is a lightweight cross-platform build utility based on Lua. It uses
 xmake.lua to maintain project builds. Compared with makefile/CMakeLists.txt,
 the configuration syntax is more concise and intuitive. It is very friendly to
 novices and can quickly get started in a short time. Let users focus more on
 actual project development.

Package: xmake-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Data for xmake
 xmake is a lightweight cross-platform build utility based on Lua. It uses
 xmake.lua to maintain project builds. Compared with makefile/CMakeLists.txt,
 the configuration syntax is more concise and intuitive. It is very friendly to
 novices and can quickly get started in a short time. Let users focus more on
 actual project development.
 .
 This package contains the static data for xmake.

## xmake 2.8.7+ds

=== debian/changelog ===
xmake (2.8.7+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:39:46 +1100

xmake (2.8.7+ds-1build1) noble; urgency=medium

  * No-change rebuild for libreadline t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 18:58:16 +0100

xmake (2.8.7+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: Remove add_loong64_support.patch, applied upstream.
  * d/control: Replace pkg-config with pkgconf in Build-Depends-Arch.
  * d/gitlab-ci.yml: Disable fileordering variation for reprotest.

 -- Lance Lin <lq27267@gmail.com>  Tue, 27 Feb 2024 23:23:26 +0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: xmake
 Section: devel
 Priority: optional
-Maintainer: Lance Lin <lq27267@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lance Lin <lq27267@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- pkg-config,
+ pkgconf,
  lua-cjson,
  libxxhash-dev,
  liblua5.4-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic

%:
	dh $@

DEB_CONFIGURE_EXTRA_FLAGS = --external=y

build-indep:
	# pass

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

execute_after_dh_fixperms:
	find debian/ -type f -name update-script.sh -exec chmod 755 {} \;

## xmake 2.9.2+ds

=== debian/changelog ===
xmake (2.9.2+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Jun 2024 23:30:44 -0400

xmake (2.9.2+ds-2) unstable; urgency=medium

  * Fix build to use lua-cjson (Closes: #1072039).
    - d/control: Replace lua-cjson with lua-cjson-dev in build depends.
    - d/rules: Append link to 'lua5.4-cjson'.
    - d/patches: Update patch to define symbol for lua-cjson if linker
      flag is passed.

 -- Lance Lin <lq27267@gmail.com>  Sat, 08 Jun 2024 17:17:06 +0700

xmake (2.9.2+ds-1) unstable; urgency=medium

  * New upstream version
  * d/patches: Refresh convert_local_source_to_external_dependencies.patch.

 -- Lance Lin <lq27267@gmail.com>  Fri, 07 Jun 2024 20:36:07 +0700

xmake (2.9.1+ds-1) unstable; urgency=medium

  * New upstream version
  * Use secure URI in Homepage field.
  * Standards-Version: 4.7.0 (routine-update)
  * d/rules: Remove VCS control files.

 -- Lance Lin <lq27267@gmail.com>  Thu, 25 Apr 2024 21:46:17 +0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: xmake
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lance Lin <lq27267@gmail.com>
+Maintainer: Lance Lin <lq27267@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
  pkgconf,
- lua-cjson,
+ lua-cjson-dev,
  libxxhash-dev,
  liblua5.4-dev,
  libluajit-5.1-dev,
@@ -15,8 +14,8 @@
  libsv-dev,
  libtbox-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Homepage: http://xmake.io
+Standards-Version: 4.7.0
+Homepage: https://xmake.io
 Vcs-Git: https://salsa.debian.org/xmake-team/xmake.git
 Vcs-Browser: https://salsa.debian.org/xmake-team/xmake

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -llua5.4-cjson
 
 %:
 	dh $@
@@ -16,3 +17,6 @@
 
 execute_after_dh_fixperms:
 	find debian/ -type f -name update-script.sh -exec chmod 755 {} \;
+
+execute_after_dh_auto_clean:
+	find . -type f -name ".gitignore" -exec rm -f {} \;

## xmake 2.9.3+ds

=== debian/changelog ===
xmake (2.9.3+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jul 2024 20:31:57 -0400

xmake (2.9.3+ds-1) unstable; urgency=medium

  * New upstream version
  * d/control: Add make and cmake as recommended packages for xmake-data
    to remove lintian error 'xmake-data: missing-dep-for-interpreter'.

 -- Lance Lin <lq27267@gmail.com>  Thu, 04 Jul 2024 18:48:20 +0700

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,9 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+Recommends:
+ make,
+ cmake,
 Description: Data for xmake
  xmake is a lightweight cross-platform build utility based on Lua. It uses
  xmake.lua to maintain project builds. Compared with makefile/CMakeLists.txt,

## xmake 2.9.4+ds

=== debian/changelog ===
xmake (2.9.4+ds-1) unstable; urgency=medium

  * New upstream version
  * d/rules: Remove upstream debian directory from install and
    make build verbose.

 -- Lance Lin <lq27267@gmail.com>  Tue, 06 Aug 2024 21:32:21 +0700

## xmake 2.9.5+ds

=== debian/changelog ===
xmake (2.9.5+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Sep 2024 09:29:38 -0400

xmake (2.9.5+ds-1) unstable; urgency=medium

  * New upstream version
  * d/control: Rely on tbox 1.7.6 for missing symbol.
  * d/patches: Refresh patch.
  * d/xmake-data.lintian-overrides: Ignore Powershell interpreter for Linux.

 -- Lance Lin <lq27267@gmail.com>  Tue, 17 Sep 2024 19:15:10 +0700

## xmake 2.9.6+ds

=== debian/changelog ===
xmake (2.9.6+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 21:54:58 -0500

xmake (2.9.6+ds-1) unstable; urgency=medium

  * New upstream version
  * d/patches: Refresh patch.

 -- Lance Lin <lq27267@gmail.com>  Fri, 01 Nov 2024 20:20:37 +0700

## xmake 2.9.7+ds

=== debian/changelog ===
xmake (2.9.7+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Jan 2025 18:56:20 -0500

xmake (2.9.7+ds-1) unstable; urgency=medium

  * New upstream version

 -- Lance Lin <lq27267@gmail.com>  Fri, 03 Jan 2025 19:45:56 +0700

## xmake 2.9.8%2Bds

=== debian/watch ===
version=4
opts="searchmode=plain, \
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds, \
filenamemangle=s/.+\/xmake-v([\.\d]+).tar.gz/xmake-$1\.tar\.gz/" \
https://api.github.com/repos/xmake-io/xmake/releases \
https://github.com/xmake-io/xmake/releases/download/v[\.\d]+/xmake-v([\.\d]+).tar.gz

## xmake 2.9.8+ds

=== debian/changelog ===
xmake (2.9.8+ds-1) unstable; urgency=medium

  * New upstream version
  * d/patches: Refresh patch.

 -- Lance Lin <lq27267@gmail.com>  Wed, 12 Feb 2025 21:58:13 +0700

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libluajit-5.1-dev,
  liblz4-dev,
  libsv-dev,
- libtbox-dev,
+ libtbox-dev (>= 1.7.6),
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://xmake.io

## xmake 2.9.9%2Bds

=== debian/changelog ===
xmake (2.9.9+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * d/patches: Refresh patch.

 -- Lance Lin <lq27267@gmail.com>  Wed, 09 Apr 2025 19:20:28 +0700

## xmake 2.9.9+ds

=== debian/changelog ===
xmake (2.9.9+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Apr 2025 09:44:28 -0400

## xmake 3.0.1+ds

=== debian/changelog ===
xmake (3.0.1+ds-1) unstable; urgency=medium

  * New upstream version (Closes: #1105014)
  * d/copyright: Update year to 2025 for debian files.
  * d/clean: Fix cleaning for consecutive builds.
  * New upstream version

 -- Lance Lin <lq27267@gmail.com>  Wed, 13 Aug 2025 19:57:28 +0700

## xmake 3.0.2+ds

=== debian/changelog ===
xmake (3.0.2+ds-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: Include header files not packaged with lua.
  * d/patches: Update for including lua header files.

 -- Lance Lin <lq27267@gmail.com>  Fri, 12 Sep 2025 21:19:34 +0700

## xmake 3.0.3%2Bds

=== debian/changelog ===
xmake (3.0.3+ds-1) unstable; urgency=medium

  * New upstream version
  * d/copyright, d/patches: Remove lua header files.

 -- Lance Lin <lq27267@gmail.com>  Wed, 01 Oct 2025 21:26:36 +0700

=== debian/tests/control ===
Tests: unittests
Depends: @, doxygen, gcc, g++
Restrictions: needs-root

## xmake 3.0.4+ds

=== debian/changelog ===
xmake (3.0.4+ds-1) unstable; urgency=medium

  * New upstream version
  * d/control: Bump tbox build-depends to 1.7.8 for missing symbol

 -- Lance Lin <lq27267@gmail.com>  Mon, 27 Oct 2025 19:03:13 +0700

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  libluajit-5.1-dev,
  liblz4-dev,
  libsv-dev,
- libtbox-dev (>= 1.7.6),
+ libtbox-dev (>= 1.7.8),
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://xmake.io
 Vcs-Git: https://salsa.debian.org/xmake-team/xmake.git
 Vcs-Browser: https://salsa.debian.org/xmake-team/xmake

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 %:
 	dh $@
 
-DEB_CONFIGURE_EXTRA_FLAGS = --external=y
+DEB_CONFIGURE_EXTRA_FLAGS = --external=y --verbose
 
 build-indep:
 	# pass
@@ -15,6 +15,12 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
 
+override_dh_auto_build:
+	dh_auto_build -- VERBOSE=1
+
+execute_after_dh_install:
+	rm -rf debian/xmake-data/usr/share/xmake/scripts/xpack/deb/
+
 execute_after_dh_fixperms:
 	find debian/ -type f -name update-script.sh -exec chmod 755 {} \;

## xmake 3.0.5+ds

=== debian/changelog ===
xmake (3.0.5+ds-1) unstable; urgency=medium

  * New upstream version
  * d/control: Remove redundant Rules-Requires-Root field
  * d/patches: Refresh patch.
  * d/watch: Update to version 5.

 -- Lance Lin <lq27267@gmail.com>  Tue, 02 Dec 2025 23:02:39 +0700

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  liblz4-dev,
  libsv-dev,
  libtbox-dev (>= 1.7.8),
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://xmake.io
 Vcs-Git: https://salsa.debian.org/xmake-team/xmake.git

## xmake 3.0.6%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xmake
 Section: devel
-Priority: optional
 Maintainer: Lance Lin <lq27267@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -13,7 +12,7 @@
  liblz4-dev,
  libsv-dev,
  libtbox-dev (>= 1.7.8),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://xmake.io
 Vcs-Git: https://salsa.debian.org/xmake-team/xmake.git
 Vcs-Browser: https://salsa.debian.org/xmake-team/xmake

## xmake 3.0.6+ds

=== debian/changelog ===
xmake (3.0.6+ds-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 31 Jan 2026 21:18:36 -0500

xmake (3.0.6+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * d/copyright: Update year to 2026 for debian files.
  * d/control: Remove redundant priority optional field.
  * d/patches: Refresh patch.

 -- Lance Lin <lq27267@gmail.com>  Fri, 09 Jan 2026 21:11:05 +0700

## xmake 3.0.7+ds

=== debian/changelog ===
xmake (3.0.7+ds-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Feb 2026 11:12:53 -0500

xmake (3.0.7+ds-1) unstable; urgency=medium

  * New upstream version
  * d/control: Bump tbox build-depends to 1.8.0 for missing symbol

 -- Lance Lin <lq27267@gmail.com>  Sat, 14 Feb 2026 22:18:20 +0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libluajit-5.1-dev,
  liblz4-dev,
  libsv-dev,
- libtbox-dev (>= 1.7.8),
+ libtbox-dev (>= 1.8.0),
 Standards-Version: 4.7.3
 Homepage: https://xmake.io
 Vcs-Git: https://salsa.debian.org/xmake-team/xmake.git

## xmake python-0.1.0

=== tests/examples/make/program/Makefile ===
.PHONY: build install
build: main
main: main.c main.h
main.h:
	echo '#define VERSION "$(XMAKE_VERSION)"' > $@

install:
	install -D main -t $(bindir)
	install -D main.py -t $(bindir)
	install -Dm644 main.h -t $(includedir)
	install -Dm644 README.md -t $(prefix)/share/doc
	install -Dm644 example.py -t $(pythondir)
	install -Dm644 pyproject.toml -t $(metadatadir)
	install -Dm644 Makefile -t $(nulldir)

## xmake python-0.1.3

=== src/xmake_python/templates/Makefile ===
project_version := {version}
prefixdir := data
root := {root}

prefix := $(root)/$(prefixdir)
bindir := $(prefix)/bin
includedir := $(prefix)/include
pythondir := $(root)/platlib
metadatadir := $(root)/metadata
nulldir := $(root)/null

datadir := $(prefix)/share

include {project}/{makefile}

=== tests/examples/make/cython/Makefile ===
include ../our-first-project/py.mak
.PHONY: build install

build: c.$(PYD_EXT)
c.c: c.py
	cython -3 -o $@ $^
c.$(PYD_EXT): c.c
	$(CC) $(shell pkg-config --cflags python3) -c -o $@ $^

install:
	install -Dm644 c.$(PYD_EXT) -t $(pythondir)/example
	install -Dm644 src/example/py.py -t $(pythondir)/example
	install -Dm644 README.md -t $(prefix)/share/doc
	install -Dm644 pyproject.toml -t $(metadatadir)
	install -Dm644 Makefile -t $(nulldir)

## xmake python-0.1.5

=== src/xmake_python/templates/Makefile ===
project_version := {version}
prefixdir := data
project_root := {root}

prefix := $(project_root)/$(prefixdir)
bindir := $(prefix)/bin
includedir := $(prefix)/include
pythondir := $(project_root)/platlib
metadatadir := $(project_root)/metadata
nulldir := $(project_root)/null

datadir := $(prefix)/share

include {project}/{makefile}

=== tests/examples/make/our-first-project/Makefile ===
include py.mak
.PHONY: build install

build: our_first_module.$(PYD_EXT)
our_first_module.$(PYD_EXT): our_first_module.c
	$(CC) $(shell pkg-config --cflags python3) -c -o $@ $^

install:
	install -Dm644 our_first_module.$(PYD_EXT) -t $(pythondir)/our_first_project
	install -Dm644 README.md -t $(prefix)/share/doc
	install -Dm644 pyproject.toml -t $(metadatadir)
	install -Dm644 Makefile -t $(nulldir)

=== tests/examples/make/program/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 build: main
 main: main.c main.h
 main.h:
-	echo '#define VERSION "$(XMAKE_VERSION)"' > $@
+	echo '#define VERSION "$(project_version)"' > $@
 
 install:
 	install -D main -t $(bindir)

=== tests/examples/make/pybind/Makefile ===
include ../our-first-project/py.mak
.PHONY: build install

build: example.$(PYD_EXT)
example.$(PYD_EXT): example.cpp
	$(CC) $(shell pkg-config --cflags python3 pybind11) -c -o $@ $^

install:
	install -Dm644 example.$(PYD_EXT) -t $(pythondir)
	install -Dm644 README.md -t $(prefix)/share/doc
	install -Dm644 pyproject.toml -t $(metadatadir)
	install -Dm644 Makefile -t $(nulldir)
